{% extends '../base.html'%}
{% block main %}
{% load static %}
<div class="conatiner-all d-flex position-relative">
  {% include "./admin-aside.html" %}
  {% include "../components/quick_access.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des commandes</p>
    <div class="sort">
      <div class="select">
        <select id="status" class="form-select" aria-label="Default select example">
          <option value="0" selected>Toutes</option>
          {% for key, status in command_status.items %}
            <option value="{{ key }}">{{ status }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input placeholder="Recharcher ..."type="text"class="form-control px-2"aria-label="Sizing example input"aria-describedby="inputGroup-sizing-default"id="inputSearchQ"/>
          <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret" >
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.7rem">
          <th scope="col">N° de commande</th>
          <th scope="col">Statut</th>
          <th scope="col">Montant</th>
          <th scope="col">N° de suivi</th>
        </tr>
      </thead>
      <tbody class="table-group-divider">
        {% for commands in commands %}
        <tr data-status="{{ command.status }}" data-bgcolor ="{{ commands.set_bg_color }}" >
          <td><a href="">{{ commands.command_number }}</a></td>
          <td>{{ commands.get_status }}</td>
          <td>{{ commands.get_total_amount }}</td>
          <td>
            {% if command.tracking_number %}
              {{ commands.tracking_number }}
            {%else %}
              <span id="ind">IND *</span>
            {% endif %}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
  setTabletrBgColor()
</script>
{% endblock main%}